Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product
Interface FileServerDetector

All Known Implementing Classes:
  DaemonDetector, MxServerDetector, SNMPDetector, SunMxServerDetector

    public interface FileServerDetector

Method Summary
`List` | `getServerResources(org.hyperic.util.config.ConfigResponse platformConfig, String path)` This interface is used by the Auto-Discovery file system scan.

Method Detail

### getServerResources

    List getServerResources(org.hyperic.util.config.ConfigResponse platformConfig,
                            String path)
                            throws PluginException

  This interface is used by the Auto-Discovery file system scan. Plugins specify file patterns to match in etc/hq-server-sigs.properties When a file or directory matches one of these patterns, this method will be invoked. It is up to the plugin to use the matched file or directory as a hint to find server installations.

  Parameters:
    `platformConfig` - Platform config properties.
    `path` - The absolute path to the matched file or directory.
  Returns:
    A List of ServerResource objects representing the servers that were discovered. It is possible for multiple servers to be in a single directory. For example, the Covalent ERS has one directory with Apache server binaries and one or more directories of configuration for each server instance. This method should return null if no servers were found.
  Throws:
    `PluginException` - If an error occured during server detection.
  See Also:
    `ServerResource`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2010 Hyperic, Inc. support@hyperic.net, All Rights Reserved.